Package nl.tudelft.simulation.dsol.tutorial.section42.policies

# Interface OrderingPolicy

All Known Implementing Classes:
  `StationaryPolicy`

    public interface OrderingPolicy

An OrderingPolicy.

Copyright (c) 2002-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`long` | `computeAmountToOrder​(long inventory)` | decides the amount of product to order.

## Method Details

### computeAmountToOrder

long computeAmountToOrder​(long inventory)
decides the amount of product to order.

Parameters:
  `inventory` - long; the current inventory
Returns:
  long the amount